/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2024 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx_hal.h"
/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* Private defines -----------------------------------------------------------*/


#define USART_TX_Pnum      2
#define USART_TX_Pin       (1 << USART_TX_Pnum)
#define USART_TX_GPIO_Port GPIOA
#define USART_RX_Pnum      3
#define USART_RX_Pin       (1 << USART_RX_Pnum)
#define USART_RX_GPIO_Port GPIOA

#define SPI1_SSn_Pnum       10
#define SPI1_SSn_Pin        (1 << SPI1_SSn_Pnum)
#define SPI1_SSn_GPIO_Port  GPIOB

#define SPI1_SCK_Pnum       3
#define SPI1_SCK_Pin        (1 << SPI1_SCK_Pnum)
#define SPI1_SCK_GPIO_Port  GPIOB
#define SPI1_MISO_Pnum      4
#define SPI1_MISO_Pin       (1 << SPI1_MISO_Pnum)
#define SPI1_MISO_GPIO_Port GPIOB
#define SPI1_MOSI_Pnum      5
#define SPI1_MOSI_Pin       (1 << SPI1_MOSI_Pnum)
#define SPI1_MOSI_GPIO_Port GPIOB
#define SPI1_SSn_Pnum       10
#define SPI1_SSn_Pin        (1 << SPI1_SSn_Pnum)
#define SPI1_SSn_GPIO_Port  GPIOB



#define PERIPH_FREQ     84000000

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
